<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_20"
        android:paddingTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_20"
        android:background="@drawable/shape_rount_white_bloder"
        android:orientation="vertical">

        <com.xty.common.weight.MyProgressView
            android:id="@+id/mProgress"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_60"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            app:data_size="30"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view1"
            app:progress_fir="12"
            app:progress_sec="31"
            app:progress_thr="40"
            app:progress_width="40" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingBottom="@dimen/dp_10">

            <TextView
                android:id="@+id/status_1"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_weight="1"
                android:drawableTop="@drawable/shape_status"
                android:drawablePadding="@dimen/dp_5"
                android:gravity="center"
                android:text="@string/status_1"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/status_2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_weight="1"
                android:drawablePadding="@dimen/dp_5"
                android:gravity="center"
                android:text="@string/status_2"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/status_3"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_weight="1"
                android:drawablePadding="@dimen/dp_5"
                android:gravity="center"
                android:text="@string/status_3"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/status_4"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_weight="1"
                android:drawablePadding="@dimen/dp_5"
                android:gravity="center"
                android:text="@string/status_4"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>